/////////////////////////////////////////////////////////////////////
//
//            X   X           X
//           XXX XX         XX
//          XXXXXXXX      XXX
//         XX X XXXXXXXXXXX
//        XXXXX XXXXXXXXX
//       XXXXX XXXXXXXXXX
//            XXX XXX XXX
//           XXX XX   XX
//           X   X     X
//
//    Copyright (C) 2003-2023  Ron Jakl
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
/////////////////////////////////////////////////////////////////////


#ifndef INPUTDIALOGHEADERFILE
#define INPUTDIALOGHEADERFILE

#include <QDialog>

class QLabel;
class QLineEdit;
class QPushButton;

class TInputDialog : public QDialog
{
Q_OBJECT

public:

// CREATORS
	TInputDialog(const QWidget *parent=0, Qt::WindowFlags flags=Qt::WindowFlags());
	~TInputDialog(void);

// ACCESSORS
	double Uc_Value(void) const;

// MANIPULATORS
	void Reset(const double &uc_value);

signals:

private slots:
	void Value_Changed(const QString&);
	

private:
	QLabel								*d_input_description_label;
	QLabel								*d_input_units_label;
	QLineEdit							*d_input_edit;
	QPushButton							*d_accept_button;

// NOT IMPLEMENTED
	TInputDialog(const TInputDialog&);
	TInputDialog& operator=(const TInputDialog&);
};

#endif
