CONFIG +=			release \
					warn_on \
					qt \
					thread \
					c++11

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		temperaturerecordd
} else {
	TARGET =		temperaturerecord
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui \
					xml

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/interpolation.cpp \
					../core/messagebox.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp \
					../core/xmlfile.cpp \
					src/correctiondata.cpp \
					src/correctiondialog.cpp \
					src/inputdialog.cpp \
					src/main.cpp \
					src/temperaturerecord.cpp \
					src/thermometerdata.cpp

HEADERS +=			../core/interpolation.h \
					../core/messagebox.h \
					../core/vector2.h \
					../core/vector3.h \
					../core/xmlfile.h \
					src/correctiondata.h \
					src/correctiondialog.h \
					src/inputdialog.h \
					src/temperaturerecord.h \
					src/thermometerdata.h

RESOURCES +=		res/temperaturerecord.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/temperaturerecord
}
target.path =		$$PREFIX
target.files =		bin/temperaturerecord
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/temperaturerecord
}

win32 {
RC_FILE =			res/resource.rc
}
